<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>Http (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Http (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Http.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/nutch/protocol/http/DummyX509TrustManager.html" title="class in org.apache.nutch.protocol.http"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/nutch/protocol/http/HttpResponse.html" title="class in org.apache.nutch.protocol.http"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/protocol/http/Http.html" target="_top">Frames</a></li>
<li><a href="Http.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.protocol.http</div>
<h2 title="Class Http" class="title">Class Http</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html" title="class in org.apache.nutch.protocol.http.api">org.apache.nutch.protocol.http.api.HttpBase</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.protocol.http.Http</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>, <a href="../../../../../org/apache/nutch/plugin/Pluggable.html" title="interface in org.apache.nutch.plugin">Pluggable</a>, <a href="../../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Http</span>
extends <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html" title="class in org.apache.nutch.protocol.http.api">HttpBase</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static org.slf4j.Logger</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/http/Http.html#LOG">LOG</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.nutch.protocol.http.api.HttpBase">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.apache.nutch.protocol.http.api.<a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html" title="class in org.apache.nutch.protocol.http.api">HttpBase</a></h3>
<code><a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#accept">accept</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#acceptCharset">acceptCharset</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#acceptLanguage">acceptLanguage</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#BUFFER_SIZE">BUFFER_SIZE</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#COOKIE">COOKIE</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#enableCookieHeader">enableCookieHeader</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#enableIfModifiedsinceHeader">enableIfModifiedsinceHeader</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#maxContent">maxContent</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#maxCrawlDelay">maxCrawlDelay</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#maxDuration">maxDuration</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#partialAsTruncated">partialAsTruncated</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#proxyException">proxyException</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#proxyHost">proxyHost</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#proxyPort">proxyPort</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#proxyType">proxyType</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#RESPONSE_TIME">RESPONSE_TIME</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#responseTime">responseTime</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#storeHttpHeaders">storeHttpHeaders</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#storeHttpRequest">storeHttpRequest</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#storeIPAddress">storeIPAddress</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#timeout">timeout</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#tlsCheckCertificate">tlsCheckCertificate</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#tlsPreferredCipherSuites">tlsPreferredCipherSuites</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#tlsPreferredProtocols">tlsPreferredProtocols</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#useHttp11">useHttp11</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#useHttp2">useHttp2</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#useProxy">useProxy</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#userAgent">userAgent</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.nutch.protocol.Protocol">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.nutch.protocol.<a href="../../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a></h3>
<code><a href="../../../../../org/apache/nutch/protocol/Protocol.html#X_POINT_ID">X_POINT_ID</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/http/Http.html#Http--">Http</a></span>()</code>
<div class="block">Public default constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/nutch/net/protocols/Response.html" title="interface in org.apache.nutch.net.protocols">Response</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/http/Http.html#getResponse-java.net.URL-org.apache.nutch.crawl.CrawlDatum-boolean-">getResponse</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url,
           <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
           boolean&nbsp;redirect)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/http/Http.html#main-java.lang.String:A-">main</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/http/Http.html#setConf-org.apache.hadoop.conf.Configuration-">setConf</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>
<div class="block">Set the <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a> object.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.nutch.protocol.http.api.HttpBase">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.nutch.protocol.http.api.<a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html" title="class in org.apache.nutch.protocol.http.api">HttpBase</a></h3>
<code><a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getAccept--">getAccept</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getAcceptCharset--">getAcceptCharset</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getAcceptLanguage--">getAcceptLanguage</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getConf--">getConf</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getCookie-java.net.URL-">getCookie</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getMaxContent--">getMaxContent</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getMaxDuration--">getMaxDuration</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getProtocolOutput-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">getProtocolOutput</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getProxyHost--">getProxyHost</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getProxyPort--">getProxyPort</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getRobotRules-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-java.util.List-">getRobotRules</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getTimeout--">getTimeout</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getTlsPreferredCipherSuites--">getTlsPreferredCipherSuites</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getTlsPreferredProtocols--">getTlsPreferredProtocols</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getUseHttp11--">getUseHttp11</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getUserAgent--">getUserAgent</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#isCookieEnabled--">isCookieEnabled</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#isIfModifiedSinceEnabled--">isIfModifiedSinceEnabled</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#isStoreHttpHeaders--">isStoreHttpHeaders</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#isStoreHttpRequest--">isStoreHttpRequest</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#isStoreIPAddress--">isStoreIPAddress</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#isStorePartialAsTruncated--">isStorePartialAsTruncated</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#isTlsCheckCertificates--">isTlsCheckCertificates</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#logConf--">logConf</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#main-org.apache.nutch.protocol.http.api.HttpBase-java.lang.String:A-">main</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#processDeflateEncoded-byte:A-java.net.URL-">processDeflateEncoded</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#processGzipEncoded-byte:A-java.net.URL-">processGzipEncoded</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#useProxy-java.lang.String-">useProxy</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#useProxy-java.net.URI-">useProxy</a>, <a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#useProxy-java.net.URL-">useProxy</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="LOG">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LOG</h4>
<pre>protected static final&nbsp;org.slf4j.Logger LOG</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Http--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Http</h4>
<pre>public&nbsp;Http()</pre>
<div class="block">Public default constructor.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setConf-org.apache.hadoop.conf.Configuration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConf</h4>
<pre>public&nbsp;void&nbsp;setConf(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</pre>
<div class="block">Set the <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a> object.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true#setConf-org.apache.hadoop.conf.Configuration-" title="class or interface in org.apache.hadoop.conf">setConf</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#setConf-org.apache.hadoop.conf.Configuration-">setConf</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html" title="class in org.apache.nutch.protocol.http.api">HttpBase</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>conf</code> - </dd>
</dl>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
<a name="getResponse-java.net.URL-org.apache.nutch.crawl.CrawlDatum-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getResponse</h4>
<pre>protected&nbsp;<a href="../../../../../org/apache/nutch/net/protocols/Response.html" title="interface in org.apache.nutch.net.protocols">Response</a>&nbsp;getResponse(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url,
                               <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
                               boolean&nbsp;redirect)
                        throws <a href="../../../../../org/apache/nutch/protocol/ProtocolException.html" title="class in org.apache.nutch.protocol">ProtocolException</a>,
                               <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getResponse-java.net.URL-org.apache.nutch.crawl.CrawlDatum-boolean-">getResponse</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/nutch/protocol/http/api/HttpBase.html" title="class in org.apache.nutch.protocol.http.api">HttpBase</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/protocol/ProtocolException.html" title="class in org.apache.nutch.protocol">ProtocolException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Http.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/nutch/protocol/http/DummyX509TrustManager.html" title="class in org.apache.nutch.protocol.http"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/nutch/protocol/http/HttpResponse.html" title="class in org.apache.nutch.protocol.http"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/protocol/http/Http.html" target="_top">Frames</a></li>
<li><a href="Http.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
